import * as i1 from '@angular-three/core';
import { NgtCommonAudio, NGT_AUDIO_CONTROLLER_PROVIDER, NGT_OBJECT_CONTROLLER_PROVIDER, createParentObjectProvider, NgtAudioControllerModule, NgtObjectControllerModule, NgtStore, applyProps } from '@angular-three/core';
import * as i0 from '@angular/core';
import { Directive, NgModule, EventEmitter, Input, Output } from '@angular/core';
import * as THREE from 'three';

// GENERATED
class NgtAudio extends NgtCommonAudio {
    constructor() {
        super(...arguments);
        this.audioType = THREE.Audio;
    }
}
NgtAudio.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.2.2", ngImport: i0, type: NgtAudio, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtAudio.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.2.2", type: NgtAudio, selector: "ngt-audio", providers: [
        {
            provide: NgtCommonAudio,
            useExisting: NgtAudio,
        },
        NGT_AUDIO_CONTROLLER_PROVIDER,
        NGT_OBJECT_CONTROLLER_PROVIDER,
        createParentObjectProvider(NgtAudio, (parent) => parent.audio),
    ], exportAs: ["ngtAudio"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.2.2", ngImport: i0, type: NgtAudio, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-audio',
                    exportAs: 'ngtAudio',
                    providers: [
                        {
                            provide: NgtCommonAudio,
                            useExisting: NgtAudio,
                        },
                        NGT_AUDIO_CONTROLLER_PROVIDER,
                        NGT_OBJECT_CONTROLLER_PROVIDER,
                        createParentObjectProvider(NgtAudio, (parent) => parent.audio),
                    ],
                }]
        }] });
class NgtAudioModule {
}
NgtAudioModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.2.2", ngImport: i0, type: NgtAudioModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtAudioModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.2.2", ngImport: i0, type: NgtAudioModule, declarations: [NgtAudio], exports: [NgtAudio, NgtAudioControllerModule, NgtObjectControllerModule] });
NgtAudioModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.2.2", ngImport: i0, type: NgtAudioModule, imports: [NgtAudioControllerModule, NgtObjectControllerModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.2.2", ngImport: i0, type: NgtAudioModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtAudio],
                    exports: [NgtAudio, NgtAudioControllerModule, NgtObjectControllerModule],
                }]
        }] });

// GENERATED
class NgtPositionalAudio extends NgtCommonAudio {
    constructor() {
        super(...arguments);
        this.audioType = THREE.PositionalAudio;
    }
}
NgtPositionalAudio.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.2.2", ngImport: i0, type: NgtPositionalAudio, deps: null, target: i0.ɵɵFactoryTarget.Directive });
NgtPositionalAudio.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.2.2", type: NgtPositionalAudio, selector: "ngt-positional-audio", providers: [
        {
            provide: NgtCommonAudio,
            useExisting: NgtPositionalAudio,
        },
        NGT_AUDIO_CONTROLLER_PROVIDER,
        NGT_OBJECT_CONTROLLER_PROVIDER,
        createParentObjectProvider(NgtPositionalAudio, (parent) => parent.audio),
    ], exportAs: ["ngtPositionalAudio"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.2.2", ngImport: i0, type: NgtPositionalAudio, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-positional-audio',
                    exportAs: 'ngtPositionalAudio',
                    providers: [
                        {
                            provide: NgtCommonAudio,
                            useExisting: NgtPositionalAudio,
                        },
                        NGT_AUDIO_CONTROLLER_PROVIDER,
                        NGT_OBJECT_CONTROLLER_PROVIDER,
                        createParentObjectProvider(NgtPositionalAudio, (parent) => parent.audio),
                    ],
                }]
        }] });
class NgtPositionalAudioModule {
}
NgtPositionalAudioModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.2.2", ngImport: i0, type: NgtPositionalAudioModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtPositionalAudioModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.2.2", ngImport: i0, type: NgtPositionalAudioModule, declarations: [NgtPositionalAudio], exports: [NgtPositionalAudio, NgtAudioControllerModule,
        NgtObjectControllerModule] });
NgtPositionalAudioModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.2.2", ngImport: i0, type: NgtPositionalAudioModule, imports: [NgtAudioControllerModule,
        NgtObjectControllerModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.2.2", ngImport: i0, type: NgtPositionalAudioModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtPositionalAudio],
                    exports: [
                        NgtPositionalAudio,
                        NgtAudioControllerModule,
                        NgtObjectControllerModule,
                    ],
                }]
        }] });

class NgtAudioListener extends NgtStore {
    constructor(zone, canvasStore) {
        super();
        this.zone = zone;
        this.canvasStore = canvasStore;
        this.ready = new EventEmitter();
    }
    get listener() {
        return this._listener;
    }
    ngOnInit() {
        this.zone.runOutsideAngular(() => {
            this.onCanvasReady(this.canvasStore.ready$, () => {
                this._listener = new THREE.AudioListener();
                applyProps(this.listener, {
                    filter: this.filter,
                    timeDelta: this.timeDelta,
                });
                const camera = this.canvasStore.get((s) => s.camera);
                if (camera) {
                    camera.add(this.listener);
                    this.ready.emit(this.listener);
                }
                return () => {
                    if (camera && this.listener) {
                        this.listener.clear();
                        camera.remove(this.listener);
                    }
                };
            }, true);
        });
    }
}
NgtAudioListener.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.2.2", ngImport: i0, type: NgtAudioListener, deps: [{ token: i0.NgZone }, { token: i1.NgtCanvasStore }], target: i0.ɵɵFactoryTarget.Directive });
NgtAudioListener.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.2.2", type: NgtAudioListener, selector: "ngt-audio-listener", inputs: { filter: "filter", timeDelta: "timeDelta" }, outputs: { ready: "ready" }, exportAs: ["ngtAudioListener"], usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.2.2", ngImport: i0, type: NgtAudioListener, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ngt-audio-listener',
                    exportAs: 'ngtAudioListener',
                }]
        }], ctorParameters: function () { return [{ type: i0.NgZone }, { type: i1.NgtCanvasStore }]; }, propDecorators: { filter: [{
                type: Input
            }], timeDelta: [{
                type: Input
            }], ready: [{
                type: Output
            }] } });
class NgtAudioListenerModule {
}
NgtAudioListenerModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.2.2", ngImport: i0, type: NgtAudioListenerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgtAudioListenerModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.2.2", ngImport: i0, type: NgtAudioListenerModule, declarations: [NgtAudioListener], exports: [NgtAudioListener] });
NgtAudioListenerModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.2.2", ngImport: i0, type: NgtAudioListenerModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.2.2", ngImport: i0, type: NgtAudioListenerModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgtAudioListener],
                    exports: [NgtAudioListener],
                }]
        }] });

// GENERATED

/**
 * Generated bundle index. Do not edit.
 */

export { NgtAudio, NgtAudioListener, NgtAudioListenerModule, NgtAudioModule, NgtPositionalAudio, NgtPositionalAudioModule };
//# sourceMappingURL=angular-three-core-audios.mjs.map
