import { NgZone, OnInit } from '@angular/core';
import * as THREE from 'three';
import type { AnyConstructor, AnyExtenderFunction } from '../types';
import { Controller } from './controller';
import { NgtObjectController } from './object.controller';
import { NgtWithGeometryController } from './with-geometry.controller';
import { NgtWithMaterialController } from './with-material.controller';
import * as i0 from "@angular/core";
import * as i1 from "./object.controller";
import * as i2 from "./with-material.controller";
import * as i3 from "./with-geometry.controller";
export declare class NgtMaterialGeometryController extends Controller implements OnInit {
    private objectController;
    private _meshArgs;
    set meshArgs(v: unknown | unknown[]);
    get meshArgs(): unknown[];
    isMultipleMaterials: boolean;
    morphTargetInfluences?: number[];
    morphTargetDictionary?: Record<string, number>;
    constructor(zone: NgZone, objectController: NgtObjectController, objectType: AnyConstructor<THREE.Object3D>, objectPostInit: AnyExtenderFunction<THREE.Object3D> | undefined, withMaterialController: NgtWithMaterialController, withGeometryController: NgtWithGeometryController);
    ngOnInit(): void;
    get object(): THREE.Object3D<THREE.Event>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtMaterialGeometryController, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtMaterialGeometryController, "    ngt-mesh,    ngt-instanced-mesh,    ngt-skinned-mesh,    ngt-line,    ngt-line-loop,    ngt-line-segments,    ngt-points  ", ["ngtMaterialGeometryController"], { "isMultipleMaterials": "isMultipleMaterials"; "morphTargetInfluences": "morphTargetInfluences"; "morphTargetDictionary": "morphTargetDictionary"; }, {}, never>;
}
export declare class NgtMaterialGeometryControllerModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtMaterialGeometryControllerModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<NgtMaterialGeometryControllerModule, [typeof NgtMaterialGeometryController], never, [typeof NgtMaterialGeometryController, typeof i1.NgtObjectControllerModule, typeof i2.NgtWithMaterialControllerModule, typeof i3.NgtWithGeometryControllerModule]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<NgtMaterialGeometryControllerModule>;
}
export declare const NGT_MATERIAL_GEOMETRY_WATCHED_CONTROLLER: import("@angular/core").InjectionToken<NgtMaterialGeometryController>, NGT_MATERIAL_GEOMETRY_CONTROLLER_PROVIDER: import("@angular/core").Provider[];
