import { NgZone, OnDestroy, OnInit } from '@angular/core';
import * as THREE from 'three';
import { NgtCanvasStore } from '../stores/canvas';
import { NgtStore } from '../stores/store';
import type { AnyConstructor, AnyFunction } from '../types';
import * as i0 from "@angular/core";
interface NgtGeometryState<TGeometry extends THREE.BufferGeometry = THREE.BufferGeometry> {
    geometry: TGeometry;
    geometryArgs: unknown[];
}
export declare abstract class NgtGeometry<TGeometry extends THREE.BufferGeometry = THREE.BufferGeometry> extends NgtStore<NgtGeometryState<TGeometry>> implements OnInit, OnDestroy {
    protected zone: NgZone;
    protected canvasStore: NgtCanvasStore;
    protected parentObjectFactory: AnyFunction;
    ready: import("rxjs").Observable<TGeometry>;
    constructor(zone: NgZone, canvasStore: NgtCanvasStore, parentObjectFactory: AnyFunction);
    abstract geometryType: AnyConstructor<TGeometry>;
    protected set geometryArgs(v: unknown | unknown[]);
    ngOnInit(): void;
    private readonly init;
    get geometry(): TGeometry;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtGeometry<any>, [null, null, { optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtGeometry<any>, never, never, {}, { "ready": "ready"; }, never>;
}
export {};
