import { EventEmitter, OnChanges, OnInit } from '@angular/core';
import * as THREE from 'three';
import { NgtObjectController } from '../controllers/object.controller';
import type { AnyConstructor } from '../types';
import * as i0 from "@angular/core";
export declare abstract class NgtHelper<THelper extends THREE.Object3D> implements OnInit, OnChanges {
    protected objectController: NgtObjectController;
    ready: EventEmitter<THelper>;
    abstract helperType: AnyConstructor<THelper>;
    private _helper;
    private _helperArgs;
    protected set helperArgs(v: unknown | unknown[]);
    constructor(objectController: NgtObjectController);
    ngOnChanges(): void;
    ngOnInit(): void;
    get helper(): THelper;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtHelper<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtHelper<any>, never, never, {}, { "ready": "ready"; }, never>;
}
