import * as THREE from 'three';
import type { AnyConstructor, NgtColor, NgtIntersection, NgtVector2, NgtVector3, NgtVector4 } from '../types';
export declare function makeVector2(input?: NgtVector2): THREE.Vector2 | undefined;
export declare function makeVector3(input?: NgtVector3): THREE.Vector3 | undefined;
export declare function makeVector4(input?: NgtVector4): THREE.Vector4 | undefined;
export declare function makeForSet<TType extends AnyConstructor<any>>(type: TType, input?: InstanceType<TType> | Parameters<typeof type.prototype['set']>): InstanceType<TType> | undefined;
export declare function makeColor(color?: NgtColor): THREE.Color | undefined;
/**
 * Generate a random Id or an Event's uuid
 *
 * @param {NgtIntersection} event
 *
 * @internal
 * @private
 */
export declare function makeId(event?: NgtIntersection): string;
